# Enum Class VulkanFormatInterpretation

java.lang.Object
java.lang.Enum<VulkanFormatInterpretation>
com.io7m.jcoronado.api.VulkanFormatInterpretation

All Implemented Interfaces:
  `Serializable`, `Comparable<VulkanFormatInterpretation>`, `Constable`

public enum VulkanFormatInterpretation extends Enum<VulkanFormatInterpretation>
The interpretation of data in a format.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORMAT_INTERPRETATION_COLOR`
  The data should be interpreted as color values.
  `FORMAT_INTERPRETATION_DEPTH`
  The data should be interpreted as depth values.
  `FORMAT_INTERPRETATION_DEPTH_STENCIL`
  The data should be interpreted as depth/stencil values.
  `FORMAT_INTERPRETATION_OPAQUE`
  The data is opaque.
  `FORMAT_INTERPRETATION_STENCIL`
  The data should be interpreted as stencil values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanFormatInterpretation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanFormatInterpretation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FORMAT_INTERPRETATION_OPAQUE

    public static final VulkanFormatInterpretation FORMAT_INTERPRETATION_OPAQUE
    The data is opaque.

  - ### FORMAT_INTERPRETATION_COLOR

    public static final VulkanFormatInterpretation FORMAT_INTERPRETATION_COLOR
    The data should be interpreted as color values.

  - ### FORMAT_INTERPRETATION_DEPTH

    public static final VulkanFormatInterpretation FORMAT_INTERPRETATION_DEPTH
    The data should be interpreted as depth values.

  - ### FORMAT_INTERPRETATION_DEPTH_STENCIL

    public static final VulkanFormatInterpretation FORMAT_INTERPRETATION_DEPTH_STENCIL
    The data should be interpreted as depth/stencil values.

  - ### FORMAT_INTERPRETATION_STENCIL

    public static final VulkanFormatInterpretation FORMAT_INTERPRETATION_STENCIL
    The data should be interpreted as stencil values.

- ## Method Details

  - ### values

    public static VulkanFormatInterpretation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanFormatInterpretation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null